package com.heyu.api.data.dao.vv;
/**
* <p>
* 评论表 服务类
* </p>
*
* @author quyixiao
* @since 2025-10-19
*/
import com.heyu.api.data.entity.vv.VvRequestLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.Column;
import com.lz.mybatis.plugin.annotations.DateFormat;
import com.lz.mybatis.plugin.annotations.EQ;
import com.lz.mybatis.plugin.utils.DF_Const;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvRequestLogDao extends BaseMapper<VvRequestLogEntity> {


	VvRequestLogEntity selectVvRequestLogById(@Param("id")Long id);


	Long insertVvRequestLog(VvRequestLogEntity vvRequestLog);


	Long insertOrUpdateVvRequestLog(VvRequestLogEntity vvRequestLog);


	int updateVvRequestLogById(VvRequestLogEntity vvRequestLog);


	int updateCoverVvRequestLogById(VvRequestLogEntity vvRequestLog);


	int deleteVvRequestLogById(@Param("id")Long id);



    List<VvRequestLogEntity> selectVvRequestLogByCreateTime(@Column(VvRequestLogEntity.create_time) @EQ @DateFormat(DF_Const.y_m_d) String createTime);
}